<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (21) -->
<title>Serialized Form (Apache Commons CLI 1.6.0 API)</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="serialized-form-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="org/apache/commons/cli/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="org/apache/commons/cli/package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html#serialized-form">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<ul class="block-list">
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="org/apache/commons/cli/package-summary.html">org.apache.commons.cli</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="org.apache.commons.cli.AlreadySelectedException">
<h3>Exception Class&nbsp;<a href="org/apache/commons/cli/AlreadySelectedException.html" title="class in org.apache.commons.cli">org.apache.commons.cli.AlreadySelectedException</a></h3>
<div class="type-signature">class AlreadySelectedException extends <a href="org/apache/commons/cli/ParseException.html" title="class in org.apache.commons.cli">ParseException</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>3674381532418544760L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>group</h5>
<pre><a href="org/apache/commons/cli/OptionGroup.html" title="class in org.apache.commons.cli">OptionGroup</a> group</pre>
<div class="block">The option group selected.</div>
</li>
<li class="block-list">
<h5>option</h5>
<pre><a href="org/apache/commons/cli/Option.html" title="class in org.apache.commons.cli">Option</a> option</pre>
<div class="block">The option that triggered the exception.</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.apache.commons.cli.AmbiguousOptionException">
<h3>Exception Class&nbsp;<a href="org/apache/commons/cli/AmbiguousOptionException.html" title="class in org.apache.commons.cli">org.apache.commons.cli.AmbiguousOptionException</a></h3>
<div class="type-signature">class AmbiguousOptionException extends <a href="org/apache/commons/cli/UnrecognizedOptionException.html" title="class in org.apache.commons.cli">UnrecognizedOptionException</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>5829816121277947229L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>matchingOptions</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html" title="class or interface in java.util" class="external-link">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt; matchingOptions</pre>
<div class="block">The list of options matching the partial name specified</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.apache.commons.cli.CommandLine">
<h3>Class&nbsp;<a href="org/apache/commons/cli/CommandLine.html" title="class in org.apache.commons.cli">org.apache.commons.cli.CommandLine</a></h3>
<div class="type-signature">class CommandLine extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>args</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt; args</pre>
<div class="block">The unrecognized options/arguments</div>
</li>
<li class="block-list">
<h5>options</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="org/apache/commons/cli/Option.html" title="class in org.apache.commons.cli">Option</a>&gt; options</pre>
<div class="block">The processed options</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.apache.commons.cli.MissingArgumentException">
<h3>Exception Class&nbsp;<a href="org/apache/commons/cli/MissingArgumentException.html" title="class in org.apache.commons.cli">org.apache.commons.cli.MissingArgumentException</a></h3>
<div class="type-signature">class MissingArgumentException extends <a href="org/apache/commons/cli/ParseException.html" title="class in org.apache.commons.cli">ParseException</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>-7098538588704965017L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>option</h5>
<pre><a href="org/apache/commons/cli/Option.html" title="class in org.apache.commons.cli">Option</a> option</pre>
<div class="block">The option requiring additional arguments</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.apache.commons.cli.MissingOptionException">
<h3>Exception Class&nbsp;<a href="org/apache/commons/cli/MissingOptionException.html" title="class in org.apache.commons.cli">org.apache.commons.cli.MissingOptionException</a></h3>
<div class="type-signature">class MissingOptionException extends <a href="org/apache/commons/cli/ParseException.html" title="class in org.apache.commons.cli">ParseException</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>8161889051578563249L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>missingOptions</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html" title="class or interface in java.util" class="external-link">List</a> missingOptions</pre>
<div class="block">The list of missing options and groups</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.apache.commons.cli.Option">
<h3>Class&nbsp;<a href="org/apache/commons/cli/Option.html" title="class in org.apache.commons.cli">org.apache.commons.cli.Option</a></h3>
<div class="type-signature">class Option extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>argCount</h5>
<pre>int argCount</pre>
<div class="block">The number of argument values this option can have.</div>
</li>
<li class="block-list">
<h5>argName</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> argName</pre>
<div class="block">The name of the argument for this option.</div>
</li>
<li class="block-list">
<h5>description</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> description</pre>
<div class="block">Description of the option.</div>
</li>
<li class="block-list">
<h5>longOption</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> longOption</pre>
<div class="block">The long representation of the option.</div>
</li>
<li class="block-list">
<h5>option</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> option</pre>
<div class="block">The name of the option.</div>
</li>
<li class="block-list">
<h5>optionalArg</h5>
<pre>boolean optionalArg</pre>
<div class="block">Specifies whether the argument value of this Option is optional.</div>
</li>
<li class="block-list">
<h5>required</h5>
<pre>boolean required</pre>
<div class="block">Specifies whether this option is required to be present.</div>
</li>
<li class="block-list">
<h5>type</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html" title="class or interface in java.lang" class="external-link">Class</a>&lt;?&gt; type</pre>
<div class="block">The type of this Option.</div>
</li>
<li class="block-list">
<h5>values</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt; values</pre>
<div class="block">The list of argument values.</div>
</li>
<li class="block-list">
<h5>valuesep</h5>
<pre>char valuesep</pre>
<div class="block">The character that is the value separator.</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.apache.commons.cli.OptionGroup">
<h3>Class&nbsp;<a href="org/apache/commons/cli/OptionGroup.html" title="class in org.apache.commons.cli">org.apache.commons.cli.OptionGroup</a></h3>
<div class="type-signature">class OptionGroup extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>optionMap</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html" title="class or interface in java.util" class="external-link">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="org/apache/commons/cli/Option.html" title="class in org.apache.commons.cli">Option</a>&gt; optionMap</pre>
<div class="block">hold the options</div>
</li>
<li class="block-list">
<h5>required</h5>
<pre>boolean required</pre>
<div class="block">specified whether this group is required</div>
</li>
<li class="block-list">
<h5>selected</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> selected</pre>
<div class="block">The name of the selected option</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.apache.commons.cli.Options">
<h3>Class&nbsp;<a href="org/apache/commons/cli/Options.html" title="class in org.apache.commons.cli">org.apache.commons.cli.Options</a></h3>
<div class="type-signature">class Options extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>longOpts</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html" title="class or interface in java.util" class="external-link">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="org/apache/commons/cli/Option.html" title="class in org.apache.commons.cli">Option</a>&gt; longOpts</pre>
<div class="block">a map of the options with the long key</div>
</li>
<li class="block-list">
<h5>optionGroups</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html" title="class or interface in java.util" class="external-link">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="org/apache/commons/cli/OptionGroup.html" title="class in org.apache.commons.cli">OptionGroup</a>&gt; optionGroups</pre>
<div class="block">a map of the option groups</div>
</li>
<li class="block-list">
<h5>requiredOpts</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&gt; requiredOpts</pre>
<div class="block">a map of the required options</div>
</li>
<li class="block-list">
<h5>shortOpts</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html" title="class or interface in java.util" class="external-link">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="org/apache/commons/cli/Option.html" title="class in org.apache.commons.cli">Option</a>&gt; shortOpts</pre>
<div class="block">a map of the options with the character key</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.apache.commons.cli.ParseException">
<h3>Exception Class&nbsp;<a href="org/apache/commons/cli/ParseException.html" title="class in org.apache.commons.cli">org.apache.commons.cli.ParseException</a></h3>
<div class="type-signature">class ParseException extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html" title="class or interface in java.lang" class="external-link">Exception</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>9112808380089253192L</dd>
</dl>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.apache.commons.cli.UnrecognizedOptionException">
<h3>Exception Class&nbsp;<a href="org/apache/commons/cli/UnrecognizedOptionException.html" title="class in org.apache.commons.cli">org.apache.commons.cli.UnrecognizedOptionException</a></h3>
<div class="type-signature">class UnrecognizedOptionException extends <a href="org/apache/commons/cli/ParseException.html" title="class in org.apache.commons.cli">ParseException</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>-252504690284625623L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>option</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> option</pre>
<div class="block">The unrecognized option.</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</main>
<footer role="contentinfo">
<hr>
<p class="legal-copy"><small>Copyright &#169; 2002&#x2013;2023 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</footer>
</div>
</div>
</body>
</html>
